# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/events/events/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/events/events/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Events\\Events\\": "packages/events/events/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Events\Events\Providers\EventsServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Events'  => Events\Events\Facades\Events::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Events\\EventsTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/events/{modulename}

**User**

    http://path-to-route-folder/user/events/{modulename}

**Public**

    http://path-to-route-folder/events


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/events/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/events/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/events/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/events/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/events/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/events/{modulename}/{slug}
    METHOD: GET