Lavalite package that provides events management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `events/events`.

    "events/events": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Events\Events\Providers\EventsServiceProvider::class,

And also add it to alias

    'Events'  => Events\Events\Facades\Events::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Events\\EventsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Events\Events\Providers\EventsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/events/{modulename}

**User**

    http://path-to-route-folder/user/events/{modulename}

**Public**

    http://path-to-route-folder/events


### API endpoints

**List**

    http://path-to-route-folder/api/user/events/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/events/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/events/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/events/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/events/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/events/{modulename}/{slug}
    METHOD: GET