<?php

// web routes  for events
Route::prefix('{guard}/events')->group(function () {
    Route::resource('events', 'EventsResourceController');
});

// Public routes for events
Route::get('events/', 'EventsPublicController@index');
Route::get('events/{slug?}', 'EventsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'EventsResourceController');
            });
            // Public routes for pages
            Route::get('events/', 'EventsPublicController@index');
            Route::get('events/{slug?}', 'EventsPublicController@show');
        }
    );
}

