<?php

namespace Events\Events;

use User;

class Events
{
    /**
     * $events object.
     */
    protected $events;

    /**
     * Constructor.
     */
    public function __construct(\Events\Events\Interfaces\EventsRepositoryInterface $events)
    {
        $this->events = $events;
    }

    /**
     * Returns count of events.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.events.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->events->pushCriteria(new \Litepie\Events\Repositories\Criteria\EventsUserCriteria());
        }

        $events = $this->events->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('events::' . $view, compact('events'))->render();
    }
}
