<?php

namespace Events\Events\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Events\Events\Interfaces\EventsRepositoryInterface;

class EventsPublicController extends BaseController
{
    // use EventsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Events\Events\Interfaces\EventsRepositoryInterface $events
     *
     * @return type
     */
    public function __construct(EventsRepositoryInterface $events)
    {
        $this->repository = $events;
        parent::__construct();
    }

    /**
     * Show events's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $events = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('events::events.names'))
            ->view('events::public.events.index')
            ->data(compact('events'))
            ->output();
    }


    /**
     * Show events.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $events = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($events->name . trans('events::events.name'))
            ->view('events::public.events.show')
            ->data(compact('events'))
            ->output();
    }

}
