<?php

namespace Events\Events\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventsTransformer extends TransformerAbstract
{
    public function transform(\Events\Events\Models\Events $events)
    {
        return [
            'id'                => $events->getRouteKey(),
            'key'               => [
                'public'    => $events->getPublicKey(),
                'route'     => $events->getRouteKey(),
            ], 
            'Name'              => $events->Name,
            'Start date'        => $events->Start date,
            'End date'          => $events->End date,
            'url'               => [
                'public'    => trans_url('events/'.$events->getPublicKey()),
                'user'      => guard_url('events/events/'.$events->getRouteKey()),
            ], 
            'status'            => trans('app.'.$events->status),
            'created_at'        => format_date($events->created_at),
            'updated_at'        => format_date($events->updated_at),
        ];
    }
}