<?php

namespace Events\Events\Workflow;

use Events\Events\Models\Events;
use Events\Events\Notifications\EventsWorkflow as EventsNotifyer;
use Notification;

class EventsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Events $events
     *
     * @return void
     */
    public function complete(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Events $events
     *
     * @return void
     */
    public function verify(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Events $events
     *
     * @return void
     */
    public function approve(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Events $events
     *
     * @return void
     */
    public function publish(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Events $events
     *
     * @return void
     */
    public function archive(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Events $events
     *
     * @return void
     */
    public function unpublish(Events $events)
    {
        return Notification::send($events->user, new EventsNotifyer($events, 'unpublish'));;

    }
}
